# Cool Demos

Lots of people have built some pretty awesome stuff with LangChain.
This is a collection of our favorites.
If you see any other demos that you think we should highlight, be sure to let us know!

## Open Source

### [YouTube Transcription Question Answering with Sources](https://colab.research.google.com/drive/1sKSTjt9cPstl_WMZ86JsgEqFG-aSAwkn?usp=sharing)
An end-to-end example of doing question answering on YouTube transcripts, returning the timestamps as sources to legitimize the answer.

### [ThoughtSource](https://github.com/OpenBioLink/ThoughtSource)
A central, open resource and community around data and tools related to chain-of-thought reasoning in large language models.

### [Notion Database Question-Answering Bot](https://github.com/hwchase17/notion-qa)
Open source GitHub project shows how to use LangChain to create a
chatbot that can answer questions about an arbitrary Notion database.

### [GPT Index](https://github.com/jerryjliu/gpt_index)
GPT Index is a project consisting of a set of data structures that are created using GPT-3 and can be traversed using GPT-3 in order to answer queries.

### [Grover's Algorithm](https://github.com/JavaFXpert/llm-grovers-search-party)
Leveraging Qiskit, OpenAI and LangChain to demonstrate Grover's algorithm

### [ReAct TextWorld](https://colab.research.google.com/drive/19WTIWC3prw5LDMHmRMvqNV2loD9FHls6?usp=sharing)
Leveraging the ReActTextWorldAgent to play TextWorld with an LLM!


## Not Open Source

### [Daimon](https://twitter.com/sjwhitmore/status/1580593217153531908?s=20&t=neQvtZZTlp623U3LZwz3bQ)
A chat-based AI personal assistant with long-term memory about you.

### [Clerkie](https://twitter.com/krrish_dh/status/1581028925618106368?s=20&t=neQvtZZTlp623U3LZwz3bQ)
Stack Tracing QA Bot to help debug complex stack tracing (especially the ones that go multi-function/file deep). 

### [Sales Email Writer](https://twitter.com/Raza_Habib496/status/1596880140490838017?s=20&t=6MqEQYWfSqmJwsKahjCVOA)
By Raza Habib, this demo utilizes LangChain + SerpAPI + HumanLoop to write sales emails.
Give it a company name and a person, this application will use Google Search (via SerpAPI) to get
more information on the company and the person, and then write them a sales message.

### [Question-Answering on a Web Browser](https://twitter.com/chillzaza_/status/1592961099384905730?s=20&t=EhU8jl0KyCPJ7vE9Rnz-cQ)
By Zahid Khawaja, this demo utilizes question answering to answer questions about a given website.
A followup added this for [Youtube videos](https://twitter.com/chillzaza_/status/1593739682013220865?s=20&t=EhU8jl0KyCPJ7vE9Rnz-cQ),
and then another followup added it for [Wikipedia](https://twitter.com/chillzaza_/status/1594847151238037505?s=20&t=EhU8jl0KyCPJ7vE9Rnz-cQ).